Skip to main content
`Ctrl`+`K`

# numpy.number.__class_getitem__

method

classmethod number.__class_getitem__(item, /)

  Return a parametrized wrapper around the `number` type.

  Added in version 1.22.

  Returns:
    alias types.GenericAlias

      A parametrized `number` type.

  See also

  PEP 585

    Type hinting generics in standard collections.

  Examples

      >>> from typing import Any
      >>> import numpy as np

      >>> np.signedinteger[Any]
      numpy.signedinteger[typing.Any]